<!DOCTYPE html>
<html lang="en" ng-app="c3isp">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="">
    <meta name="author" content="">

    <title>SB Admin - Dashboard</title>
    <script src="https://ajax.googleapis.com/ajax/libs/angularjs/1.7.5/angular.min.js"></script>    

    <!-- Bootstrap core CSS-->
    <link href="../vendor/bootstrap/css/bootstrap.min.css" rel="stylesheet">

    <!-- Custom fonts for this template-->
    <link href="../vendor/fontawesome-free/css/all.min.css" rel="stylesheet" type="text/css">

    <!-- Page level plugin CSS-->
    <link href="../vendor/datatables/dataTables.bootstrap4.css" rel="stylesheet">

    <!-- Custom styles for this template-->
    <link href="../css/sb-admin.css" rel="stylesheet">
    
    <link rel="stylesheet" href="../css/c3isp.css">
  <script src="../js/c3isp.js"></script>
  
  <script src="../upload/app.module.js"></script>
  <script src="../upload/controllers.js"></script>
  <script src="../upload/directives.js"></script>
  <script src="../upload/services.js"></script>
  

  </head>
  <body id="page-top" class="sidebar-toggled">

    <!-- <div ng-include="'header.nav.html'"></div> -->

    <nav class="navbar navbar-expand navbar-dark bg-dark static-top">

        <a class="navbar-brand mr-1" href="index.html">Start</a>
    
        <button class="btn btn-link btn-sm text-white order-1 order-sm-0" id="sidebarToggle" href="#">
            <i class="fas fa-bars"></i>
        </button>
    
        <!-- Navbar Search -->
        <form class="d-none d-md-inline-block form-inline ml-auto mr-0 mr-md-3 my-2 my-md-0">
            <div class="input-group">
            <input type="text" class="form-control" placeholder="Search for..." aria-label="Search" aria-describedby="basic-addon2">
            <div class="input-group-append">
                <button class="btn btn-primary" type="button">
                <i class="fas fa-search"></i>
                </button>
            </div>
            </div>
        </form>
    
        <!-- Navbar -->
        <ul class="navbar-nav ml-auto ml-md-0">
            <li class="nav-item dropdown no-arrow mx-1">
            <a class="nav-link dropdown-toggle" href="#" id="alertsDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                <i class="fas fa-bell fa-fw"></i>
    <!--
                <span class="badge badge-danger">9+</span>
    -->
            </a>
            <div class="dropdown-menu dropdown-menu-right" aria-labelledby="alertsDropdown">
                <a class="dropdown-item" href="#">Action</a>
                <a class="dropdown-item" href="#">Another action</a>
                <div class="dropdown-divider"></div>
                <a class="dropdown-item" href="#">Something else here</a>
            </div>
            </li>
            <li class="nav-item dropdown no-arrow mx-1">
            <a class="nav-link dropdown-toggle" href="#" id="messagesDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                <i class="fas fa-envelope fa-fw"></i>
    <!--
                <span class="badge badge-danger">7</span>
    -->
            </a>
            <div class="dropdown-menu dropdown-menu-right" aria-labelledby="messagesDropdown">
                <a class="dropdown-item" href="#">Action</a>
                <a class="dropdown-item" href="#">Another action</a>
                <div class="dropdown-divider"></div>
                <a class="dropdown-item" href="#">Something else here</a>
            </div>
            </li>
            <li class="nav-item dropdown no-arrow">
            <a class="nav-link dropdown-toggle" href="#" id="userDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                <i class="fas fa-user-circle fa-fw"></i>
            </a>
            <div class="dropdown-menu dropdown-menu-right" aria-labelledby="userDropdown">
                <a class="dropdown-item" href="#">Settings</a>
                <a class="dropdown-item" href="#">Activity Log</a>
                <div class="dropdown-divider"></div>
                <a class="dropdown-item" href="#" data-toggle="modal" data-target="#logoutModal">Logout</a>
            </div>
            </li>
        </ul>
    </nav>

    <div id="wrapper">

      <!-- Sidebar -->
      <ul class="sidebar navbar-nav toggled">
        <li class="nav-item active">
          <a class="nav-link" href="index.html">
            <i class="fas fa-fw fa-tachometer-alt"></i>
            <span>Dashboard</span>
          </a>
        </li>
        <li class="nav-item dropdown">
          <a class="nav-link dropdown-toggle" href="#" id="pagesDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
            <i class="fas fa-fw fa-folder"></i>
            <span>Pages</span>
          </a>
          <div class="dropdown-menu" aria-labelledby="pagesDropdown">
            <h6 class="dropdown-header">Login Screens:</h6>
            <a class="dropdown-item" href="login.html">Login</a>
            <a class="dropdown-item" href="register.html">Register</a>
            <a class="dropdown-item" href="forgot-password.html">Forgot Password</a>
            <div class="dropdown-divider"></div>
            <h6 class="dropdown-header">Other Pages:</h6>
            <a class="dropdown-item" href="404.html">404 Page</a>
            <a class="dropdown-item" href="blank.html">Blank Page</a>
          </div>
        </li>
        <li class="nav-item">
          <a class="nav-link" href="charts.html">
            <i class="fas fa-fw fa-chart-area"></i>
            <span>Charts</span></a>
        </li>
      </ul>

      <div id="content-wrapper">
        <div class="container-fluid"  ng-controller="ISIController">
          <!-- Breadcrumbs-->
          <ol class="breadcrumb">
            <li class="breadcrumb-item">
              <a href="#">Dashboard</a>
            </li>
            <li class="breadcrumb-item active">Overview</li>
          </ol>
          <!-- Breadcrumbs : Extract File-->      
        <form ng-submit="uploadFile()">                         
        <div class="row"> 
            <div class="col-xl-6 col-sm-6 mb-1">              
                <div class="card text-white bg-success o-hidden h-100">
                    <div class="card-body">
                      <div class="card-body-icon">
                        <i class="fas fa-fw fa-comments"></i>
                    </div>          
                      <div class="row">     
                        <div class="col-xl-5 col-sm-5 mb-1">
                          <input class="form-control" type="text" ng-model="dsaID" placeholder="DSA Id">       			 
                        </div>              
                        <div class="col-xl-4 col-sm-4 mb-1">
                            <div style="float: right;">
                              <select class="form-control" ng-model="modelAnalysis" style="width:100%">
                                <option>Analysis Model</option>
                                <option value="BLACK_LIST_FULL" selected>BLACK LIST FULL</option>
                                <option value="BLACK_LIST_HIGH" selected>BLACK LIST HIGH</option>
                                <option value="BLACK_LIST_MEDIUM" selected>BLACK LIST MEDIUM</option>
                                <option value="BLACK_LIST_LOW" selected>BLACK LIST LOW</option>
                                <option value="OTHERS">OTHER MODEL</option>
                                </select>                                
                            </div>
                        </div>              
                        <div class="col-xl-3 col-sm-3 mb-1">
                          <!-- <button type="submit" id="submit" class="btn btn-danger">02 - Analysis</button> -->
                          <!-- <button id="submit" class="btn btn-danger" ng-click="checkingResult()">03 - Results</button> -->                          
                        </div>              
                      </div>              
                  </div>  
                  <!-- card-body -->
                </div> 
              <!-- card text-white -->
            </div>  
            <!-- Cef File Analysis -->                        
                <div class="col-xl-6 col-sm-6 mb-1">
                  <div class="card text-white bg-primary o-hidden h-100">
                    <div class="card-body">
                      <div class="card-body-icon">
                        <i class="fas fa-fw fa-list"></i>
                      </div>                                                                                                
                        <div class="row">  
                          <div class="col-xl-3 col-sm-3 mb-1">
                            <label for="exampleFormControlFile1">CEF file input</label>					
                          </div>
                          <div class="col-xl-5 col-sm-5 mb-1">                            
                            <input type="file" class="form-control-file" demo-file-model="cefFile">
                          </div>
                          <div class="col-xl-4 col-sm-4 mb-1">
                            <button type="submit" id="submit" class="btn btn-danger">01 - Extract IP</button>
                          </div>                                      
                        </div>                        
                    </div>              
                  </div>
                </div>

               <!-- END Cef File Analysis -->              
        </div>
        </form>
        <div class="row">                
          <!-- Icon ISI side-->
          <div class="col-xl-6 col-sm-6 mb-1">
            <!-- Cef File Analysis -->
            <!-- IP File Analysis -->
            <div class="row">                
              <div class="col-xl-12 col-sm-12 mb-1">
                <div class="card mb-3">
                    <div class="card-header" style="font-size: 32px">
                      <i class="fas fa-table"></i>
                      In ISI Side</div>
                    <div class="card-body">
                      <div class="table-responsive">
                          <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
                            <thead>
                            <tr>
                              <th colspan="8" class="text-center">ISI Side</th>                                                   
                            </tr>
                            </thead>
                            <tfoot>
                            <tr>
                              <th colspan="8" class="text-center">ISI Side</th>                              
                            </tr>
                            </tfoot>
                            <tbody>
                              <tr>
                                  <td colspan="2" >IP Information</td>						  
                                  <td colspan="4" >IP in FHE format</td>						  
                                  <td colspan="2" class="text-center">Status</td>
                                </tr>						
                            <tr ng-repeat="ip in IPs">
                              <td colspan="2" >{{ip.text}} <br>
                                <button class="btn btn-success btn-sm" 
                                ng-click="encrypteIP($index)">Encrypt</button> <br>
                                <span>time : {{ ip.performanceEncrypt | number : 3 }} s</span>
                              </td>						  
                              <td colspan="5">
                                <div class="mygrid-wrapper-div windowsize">
                                  <span .mygrid-wrapper-span ng-repeat="ctip in ip.encrData | orderBy: 'fileName'">                                  
                                    <label>file name = {{ctip.fileName}}</label> 
                                    <div class="windowsize wordwrap">file content = {{ctip.content | limitTo : 128 }} {{ctip.postfix}}<br></div>                                    
                                    <label>/*****************************/</label><br> 
                                  </span>               
                                </div>
                              </td>						  
                              <td class="text-center">
                                <div ng-switch on="ip.canDo">
                                    <div ng-switch-when="0">                                      
                                      <button class="btn btn-success btn-sm" ng-click="analysisIP($index)" disabled>Analysis</button> <br>
                                    </div>
                                    <div ng-switch-when="1">                                      
                                      <button class="btn btn-success btn-sm" ng-click="analysisIP($index)">Analysis</button> <br>
                                      <span>time : {{ ip.performanceAnalysis | number : 3 }} s</span>
                                    </div>
                                </div>
                                
                                <div ng-switch on="ip.risk" class="mygrid-analysis-div">
                                    <div ng-switch-when="-1">                                        
                                        <img class="mygrid-img-clip" src="../img/processing.gif" style="width: 145px; height: 135px;" alt="Initial state">
                                    </div>
                                    <div ng-switch-when="0">                                        
                                        <img class="mygrid-img-clip" src="../img/no-risk.png" alt="Finish False">
                                    </div>
                                    <div ng-switch-when="1">                                        
                                        <img class="mygrid-img-clip" src="../img/risk.png" alt="Finished true">
                                    </div>
                                    <div ng-switch-default>
                                    </div>
                                </div> 
                                <!-- add ehere -->
                              </td>						                                                              
                            </tr>						
                            </tbody>
                          </table>
                        </div> <!-- /table-responsive -->
                      </div> 
                      <!-- /card-body -->
                  </div> 
                  <!--card mb-3-->  
              </div>                            
            </div>
            <!--/row IP File Analysis--> 
          </div> 
          <!-- Icon IAI side-->            
          <div class="col-xl-6 col-sm-6 mb-1">
              <div class="row">   
              </div>   
              <!-- row  -->
              <!-- IP List to Analysis -->
              <div class="row">   
                <div class="col-xl-12 col-sm-12 mb-1">
                  <div class="card mb-3">
                    <div class="card-header" style="font-size: 32px">
                        <i class="fas fa-table"></i>
                        In IAI Side </div>
                    <div class="card-body">
                      <div class="table-responsive">
                        <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
                          <thead>
                          <tr>
                            <th colspan="4" class="text-center">IAI Side</th>
                            <th class="text-center">status</th>						  
                          </tr>
                          </thead>
                          <tfoot>
                          <tr>
                            <th colspan="4" class="text-center">IAI Side</th>
                            <th class="text-center">status</th>
                          </tr>
                          </tfoot>
                          <tbody>
                            <tr>
                                <td colspan="4" >IP in FHE format</td>						  
                                <td colspan="1" >Analysis Progression</td>						                      
                              </tr>	
                          <tr>
                            <td colspan="4" >
                              <div class="mygrid-wrapper-div windowsize">
                                <span .mygrid-wrapper-span ng-repeat="ctip in IPToAnalysis.encrData | orderBy: 'fileName'">                                  
                                  <label>file name = {{ctip.fileName}}</label> 
                                  <div class="windowsize wordwrap">file content = {{ctip.content | limitTo : 128 }} {{ctip.postfix}}<br></div>                                    
                                  <label>/*****************************/</label><br> 
                                </span>               
                              </div>
                            </td>						  
                            <td colspan="1" >
                                <div ng-switch on="IPToAnalysis.risk" class="mygrid-analysis-div">
                                    <div ng-switch-when="-1">
                                        <!-- code to inital state -->
                                        <!-- <span> Initial </span> -->
                                        <img class="mygrid-img-clip" src="../img/in_pause_state.png" alt="Initial state">
                                    </div>
                                    <div ng-switch-when="0">
                                        <!-- code to state in anlyzing -->
                                        <img class="mygrid-img-clip" src="../img/in_progressing_big.gif" style = "width: 160px; height: 120px" alt="in Progression">
                                    </div>
                                    <div ng-switch-when="1">
                                        <!-- code to state in finished anlysis -->
                                        <!-- <span> Finished </span> -->
                                        <img src="../img/green_ok.png" style="width:60px; height: 60px" alt="Finished">
                                    </div>
                                    <div ng-switch-default>
                                        <!-- code to render the regular video block -->
                                    </div>
                                </div>   
                            </td>						  							  
                          </tr>						
                          </tbody>
                        </table> 
                      </div> 
                      <!-- /table-responsive -->
                    </div> 
                    <!-- /card-body -->
                  </div> 
                  <!--card mb-3-->
                </div>                     
              </div> 
                <!-- row IP List to Analysis--> 
            </div>    
        <!-- /col-xl-6 col-sm-6 mb-1 Icon ISIController-ISI side -->    
        </div>
                         
          <!-- /col-xl-6 col-sm-6 mb-1 Icon ISIController-IAI side -->    
        </div>  		               			                              
      </div>
      <!--/container-fluid-->

      <!-- Sticky Footer -->
      <footer class="sticky-footer">
        <div class="container my-auto">
          <div class="copyright text-center my-auto">
            <span>Copyright © Your Website 2018 : contact thanhhai.nguyen at cea.fr</span>
          </div>
        </div>
      </footer>

      </div>
      <!-- /.content-wrapper -->
    </div>
    <!-- /#wrapper -->

    <!-- Scroll to Top Button-->
    <a class="scroll-to-top rounded" href="#page-top">
      <i class="fas fa-angle-up"></i>
    </a>

    <!-- Logout Modal-->
    <div class="modal fade" id="logoutModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
      <div class="modal-dialog" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title" id="exampleModalLabel">Ready to Leave?</h5>
            <button class="close" type="button" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">×</span>
            </button>
          </div>
          <div class="modal-body">Select "Logout" below if you are ready to end your current session.</div>
          <div class="modal-footer">
            <button class="btn btn-secondary" type="button" data-dismiss="modal">Cancel</button>
            <a class="btn btn-primary" href="login.html">Logout</a>
          </div>
        </div>
      </div>
    </div>

    <!-- Bootstrap core JavaScript-->
    <script src="../vendor/jquery/jquery.min.js"></script>
    <script src="../vendor/bootstrap/js/bootstrap.bundle.min.js"></script>

    <!-- Core plugin JavaScript-->
    <script src="../vendor/jquery-easing/jquery.easing.min.js"></script>

    <!-- Custom scripts for all pages-->
    <script src="../js/sb-admin.min.js"></script>


  </body>

</html>
